mercurial-port(1)

NAME

mercurial-port - Incorporate an already released version of a package source into a specific porting branch.

SYNOPSIS

mercurial-port [option] branch

DESCRIPTION

Switch to the specified branch and merge with the default branch. The specified branch is created if necessary.

OPTIONS

--version, -V

    Output version and exit.

--verbose, -v

    Increase verbosity level. Can be used several times.

--package-version version, -p version

    Merge version into branch instead of using the most recent version from debian/changelog.

EXAMPLES

mercurial-port -p 3.2-1 lenny

    Merge version 3.2-1 of the package in the current directory into the branch lenny.

AUTHOR

Jens Peter Secher <jpsecher@gmail.com>

SEE ALSO

mercurial-importorig(1), mercurial-importdsc(1), mercurial-buildpackage(1), mercurial-tagversion(1), mercurial-pristinetar(1).